Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.premiumdomain
Class EPPPremiumDomainTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.codec.premiumdomain.EPPPremiumDomainTst

All Implemented Interfaces:
  junit.framework.Test

    public class EPPPremiumDomainTst

extends junit.framework.TestCase

Is a unit test of the com.verisign.epp.codec.premiumdomain package. The unit test will execute, gather statistics, and output the results of a test of each com.verisign.epp.codec.premiumdomain package.

Constructor Summary
`EPPPremiumDomainTst(java.lang.String name)` Creates a new EPPPremiumDomainTst object.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
`protected void` | `setUp()` JUNIT `setUp` method.
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPPremiumDomainTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testMultiplePremiumDomainCheck()` Tests the `EPPPremiumDomainCheck` check command extension for multiple domains.
`void` | `testPremiumDomainReAssign()` Tests the `EPPPremiumDomainReAssignCmd` Update command extension.
`void` | `testSinglePremiumDomainCheck()` Tests the `EPPPremiumDomainCheck` check command extension.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPPremiumDomainTst

    public EPPPremiumDomainTst(java.lang.String name)

  Creates a new EPPPremiumDomainTst object.

  Parameters:
    `name` - Name of test to execute

Method Detail

### setUp

    protected void setUp()

  JUNIT `setUp` method.

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### testSinglePremiumDomainCheck

    public void testSinglePremiumDomainCheck()

  Tests the `EPPPremiumDomainCheck` check command extension. The tests include the following:
  1. Premium Domain Check with flag as true
  2. Premium Domain Check with flag as false

### testMultiplePremiumDomainCheck

    public void testMultiplePremiumDomainCheck()

  Tests the `EPPPremiumDomainCheck` check command extension for multiple domains. The tests include the following:
  1. Premium Domains Check without flag value (uses default)
  2. Premium Domains Check with flag as true
  3. Premium Domains Check with flag as false

### testPremiumDomainReAssign

    public void testPremiumDomainReAssign()

  Tests the `EPPPremiumDomainReAssignCmd` Update command extension.

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `EPPPremiumDomainTst`.

  Returns:
    `Junit` tests

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - Command line arguments

### setNumIterations

    public static void setNumIterations(long aNumIterations)

  Sets the number of iterations to run per test.

  Parameters:
    `aNumIterations` - number of iterations to run per test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.